Subject: bug#32731: 26.1.50; Ibuffer filter by mode: Handle >1 mode names

From: Noam Postavsky <[email-masked]>
Date: Tue, 18 Sep 2018 19:19:34 -0400

Tino Calancha <[email-masked]> writes:

> * I don't like much such new function
> `ibuffer-filter-by-used-modes': isn't it better that
> `ibuffer-filter-by-used-mode' handles both inputs?

In principle, I agree with this, but there is a drawback to be aware of:
fancier completion modes (e.g., icomplete, ido, etc) don't support
completing-read-multiple.  So users of those modes could see this as a
regression.

> * It moves most of the code inside the macro `define-ibuffer-filter'; no
>   need to add new functions.

I don't like that define-ibuffer-filter has special code for certain
filter types.